Application Deployments API Endpoints

Learn more about how to deploy your applications with our API

Get Deployments

To list all existing deployments of that app you can simply send a GET request to the following endpoint.

https://api.nodion.com/v1/applications/:id/deployments

Required Headers: Authorization

Example Response:

  {
    "deployments": [
      {
        "id": "92955d4f-2e44-4e48-8cb6-9c6c434afebb",
        "status": "available",
        "deploy_number": 2,
        "git_sha": "d77ead8cbbdc37d04aa8c3466c6e35b7c55a508e",
        "commit_message": "test",
        "committer_name": "John Doe",
        "committer_email": "info@nodion.com",
        "committer_username": "nodion",
        "commit_timestamp": "2022-09-17T18:12:37.000+02:00",
        "strategy": "dockerfile",
        "image_reference": null,
        "created_at": "2023-04-18T18:32:25.018+02:00"
      },
      {
        "id": "5ff9b89f-c839-465d-88b9-32508a87a586",
        "status": "available",
        "deploy_number": 1,
        "git_sha": null,
        "commit_message": "Image: nginx:1.25",
        "committer_name": "Container Registry",
        "committer_email": "deploy@nodion.com",
        "committer_username": "Container Registry",
        "commit_timestamp": "2025-02-01T14:35:00.000+01:00",
        "strategy": "prebuilt_image",
        "image_reference": "docker.io/nginx:1.25",
        "created_at": "2025-02-01T14:35:00.000+01:00"
      }
    ]
  }

Trigger a new Deployment

To trigger a new deployment you can simply send a POST request to the following endpoint. For Git-based applications, our system will fetch the latest version from the connected git repository and deploy it. For pre-built image applications, the specified image will be pulled and deployed.

https://api.nodion.com/v1/applications/:id/deployments

Required Headers: Authorization

Optional Body Parameters (pre-built image apps only):

image_tag – Override the default image tag for this deployment (e.g. v2.0.0). If not provided, the application's default tag is used.

Possible Response Codes:

200 – The deployment was triggered successfully.
400 – There was something wrong. Please check the response.

Example Response (Git-based):

  {
    "deployment": {
      "id": "c3f85434-5470-46de-bbeb-ce668ca2c351",
      "status": "created",
      "deploy_number": 3,
      "git_sha": "d77ead8cbbdc37d04aa8c3466c6e35b7c55a508e",
      "commit_message": "test",
      "committer_name": "John Doe",
      "committer_email": "info@nodion.com",
      "committer_username": "nodion",
      "commit_timestamp": "2022-09-17T18:12:37.000+02:00",
      "strategy": "dockerfile",
      "image_reference": null,
      "created_at": "2023-04-25T08:58:59.771+02:00",
      "updated_at": "2023-04-25T08:58:59.771+02:00"
    }
  }

Example Response (Pre-built Image):

  {
    "deployment": {
      "id": "d4e5f6a7-b8c9-0123-defa-234567890123",
      "status": "created",
      "deploy_number": 4,
      "git_sha": null,
      "commit_message": "Image: nginx:1.25",
      "committer_name": "Container Registry",
      "committer_email": "deploy@nodion.com",
      "committer_username": "Container Registry",
      "commit_timestamp": "2025-02-01T14:35:00.000+01:00",
      "strategy": "prebuilt_image",
      "image_reference": "docker.io/nginx:1.25",
      "created_at": "2025-02-01T14:35:00.000+01:00",
      "updated_at": "2025-02-01T14:35:00.000+01:00"
    }
  }